Subject: TeXhax Digest V95 #14
From: [email-masked]
To: TeXhax Distribution: ;
Date: Fri, 29 Sep 1995 09:57:01 +0100

TeXhax Digest    Friday, 29 Sep 1995  Volume 95 : Issue 14
(incorporating UKTeX Digest)

Today's Topics:
                          Font proliferation
                     The "Dog Book" and Packages
                          PS Smallcaps Font
                           color, graphics
                 Macro to return directory/path name?
                       VF versions of CM fonts
          Where can I find a free copy of Latex in internet
                 tugboat 15#4 -- late, but on the way
                       Announcing gsftopk-1.11

Administrivia:
    Moderators:    David Osborne and Peter Abbott
    Contributions: [email-masked]
    Subscription and unsubscription requests: [email-masked]
    (message body = "subscribe texhax" or "unsubscribe texhax", [no quotes])

----------------------------------------------------------------------

Date:    Wed, 16 Aug 1995 18:09:14 -0000
From:    [email-masked] (Matthew Clemence)
Subject: Font proliferation

I am using PasTeX on the Amiga and my font pk files are proliferating.
I would like to delete/archive fonts which are not used very often.
Is there a way of telling which are the most used fonts ?

Dr. Matthew Clemence
University College London.

------------------------------

Date:    Tue, 22 Aug 1995 20:28:54 +0100
From:    Russel Winder <[email-masked]>
Subject: The "Dog Book" and Packages

This maybe a stupid collection of questions, no doubt I will get
mountains of hate mail if it is but...

I am a (relatively happy) LaTeX2e user using a "bog standard"
installation.  The LaTeX Companion by Goosens, Mittelback and Samarin
talks of many packages that are not part of our standard installation
but nonetheless look useful.  In ferreting around CTAN, I find some of
them are in the LaTeX209 tree rather than the LaTeX2e tree and some of
them are not there at all.

Is it the case that what is in the book is supposed to be on CTAN?

Is it the case that the LaTeX2e tree should contain everything for
LaTeX2e or what?

I will not mention which packages I am after for the moment since my
problem is that the code of both the ones I am interested in does not
appear work properly.  There is also a macro in latex.ltx that appears
to be broken.

Now under the circumstances (i.e. that one of the macros is in
latex.ltx, that the packages are written about in an official LaTeX2e
book, and that lots of people must use the facilties of LaTeX2e) I
should perhaps doubt me and my understanding but it all behaves in a
very broken fashion.  I have rewritten the macro and the two packages
so that they work perfectly.

What is the mechanism for finding out who is wrong?

Russel.

Dr Russel Winder

  Reader in Software Engineering
  Editor-in-Chief, Object Oriented Systems

Department of Computer Science                Phone: +44 (0)171 380 7293
University College London                     Fax: +44 (0)171 387 1397
Gower Street                                  EMail: [email-masked]
London WC1E 6BT
UK                            URL: http://www.cs.ucl.ac.uk/staff/R.Winder/

------------------------------

Date:    Fri, 25 Aug 1995 17:46:31 -0500
From:    Rieger <[email-masked]>
Subject: PS Smallcaps Font

I've recently been trying to use PostScript resident fonts with DVIPS
and following the instructions in the manual I ran AFM2TFM and then
VPTOVF to generate the required files. Things went smoothly and the
printer was indeed using its own fonts.

The trouble began when I wanted to build a small caps font. Again
following the instructions I ran

     afm2tfm Times-Roman -V ptmsc rptmsc
     vptovf ptmsc.vpl ptmsc.vf ptmsc.tfm

I also added a line to PSFONTS.MAP like this:

     rptmsc Times-Roman "/Times-Roman Small Caps"

The TeX file was amended to read now:

     \font\vvzsmc=ptmsc at 10pt
     {\vvzsmc ... (some text) ... }

which went through TeX and DVIPS without a hitch, but the resulting
PostScript file wouldn't print. From the front panel of the printer
you could see that it received the file and was working on it, but no
output was produced.

If you have any idea what went wrong, I'd appreciated your help very
much. Thanks in advance,

Yours, Hans

+--------------------+------------------------------+------------------+
| Hans Rieger               |  Internet: [email-masked] |          |
| University of Bonn, RHRZ  |  Bitnet  : uzr108@dbnrhrz1    |    __o   |
| Wegeler-Str. 6            |                               |  _`\<,_  |
| 53115 Bonn                |  Phone   : +49-228-73-3444    | (_)/ (_) |
| Germany                   |  Fax     :           -2743    |          |
+------------------------------+--------------------+------------------+

------------------------------

Date:    Wed, 30 Aug 1995 13:00:08 +0100
From:    [email-masked]
Subject: color, graphics

I am trying to set up LaTeX2e on a unix station, and
wanted to use the new color and graphics packages.
However, attempts to use "usepackage" result in
messages such as
! Latex error : File 'color.sty'   not found.
Similarly for 'graphics.sty'
I have searched the CTAN archives for such files.All I have
come up with is the graphics package directory containing color.dtx,=20
graphics.dtx, but no .sty files.   What is wrong ?
Dave Simpson

------------------------------

Date:    Thu, 21 Sep 1995 08:43:14 -0000
From:    C D Radcliffe <[email-masked]>
Subject: Macro to return directory/path name?

Is there a command or macro which can return the current directory which
a .tex file is in? I have used \jobname to give the name of the tex file 
but I also require the directory.

Thanks in advance,

Chris Radcliffe,

Department of Mechanical Engineering,
University of Leeds,                                    __o
Leeds, LS2 9JT, UK.                             _     _`\<,_
[email-masked]  (0113 - 2332152)      -_    (_)/ (_)

------------------------------

Date:    Sun, 24 Sep 1995 12:44:11 +0100
From:    Kieran Parsons <[email-masked]>
Subject: VF versions of CM fonts

        I'd like to use the postscript versions of the Computer Modern fonts 
available on CTAN (either BaKoma or Paradissa) in my LaTeX documents. In order 
to use XDVI or DVIPS I need the VF versions of the CM fonts, which do not appea
r 
to be on CTAN. Has anyone got copies of these?, or could tell me how to generat
e 
them (I understand that fontinst could be used, but I have no experience using 
this package).
        
        Thanks for any help you can give me,
        
        Kieran

 ##########################################################################
 #                                                                        #
 #  Sender:  Kieran Parsons                                               #
 #                                                                        #
 #  E-mail:  [email-masked]                                         #
 #  Tel:     (0117) 928 7740 (Room 1.5)                                   #
 #  Fax:     (0117) 925 5265                                              #
 #                                                                        #
 ##########################################################################

------------------------------

Date:    Wed, 27 Sep 1995 11:23:50 -0500
From:    cwu <[email-masked]>
Subject: Where can I find a free copy of Latex in internet

Hello,

Is there any free copy of Latex in internet with printing driver 
available?  If so, please let me know at following e-mail address.

[email-masked]

Thanks!

------------------------------

Date:    31 Aug 1995 08:42:19 -0400
From:    bbeeton <[email-masked]>
Subject: tugboat 15#4 -- late, but on the way

TUGboat 15#4 has been sent to the printer today by overnight courier.
The printing schedule calls for the finished issue to be mailed out
three weeks from receipt of the camera copy by the printer.  In other
words, mailing should occur by September 22.

TUGboat 15, 4, December 1994
Contents

   423  Addresses

General Delivery
   425  Christina Thiele   Opening words
   426  Barbara Beeton     Editorial comments:
                           TeX meetings in 1994; A new, expanded TeX FAQ;
                           UKTeX Digest ceases to exist; Miscellaneous gossip
   427  Michel Goossens, Sebastian Rahtz and Barbara Beeton     
                           The TUG94 Proceedings -- Apologia
   429  Julita Bolland, Toni Walter and Wlodek Bzyl     
                           EuroTeX'94

Dreamboat
   434  Philip Taylor      Minutes of the NTS meeting held at Lindau
                           on October 11/12th 1994

Tools
   438  Maurice Laugier and Yannis Haralambous
                           TeX innovations at the Louis-Jean printing house

Fonts
   444  Pierre A. MacKay   Recycled Metafont
   447  Yannis Haralambous Indica, an Indic preprocessor for TeX:
                           A Sinhalese TeX system

Graphics
   459  Petr Olsak         The EAN barcodes by TeX

Letters
   464  Philip Taylor      An open letter to the TUG Board

Survey
   466  Gabriel Valiente Feruglio
                           Typesetting commutative diagrams

Macros
   485  Victor Eijkhout    The bag of tricks
   486  Jacques Richer     A TeX autostereogram generator
   492  Reinhard Foessmeier
                           Stereographic pictures using TeX

LaTeX
   496  Johannes Braams    To reset or not to reset

Abstracts
   498  Cahiers GUTenberg Nos. 18 and 19        
   500  Abstracts of the Proceedings of the Eighth European TeX Conference,
        Gdansk, September 1994

News & Announcements
   504  Calendar        
   505  Barbara Beeton     Production notes

TUG Business
   506  Institutional members   

Forms
   507  TUG membership application      

Advertisements
   508  TeX consulting and production services  

------------------------------

Date:    Mon, 18 Sep 1995 16:10:05 -0700
From:    [email-masked] (Paul Vojta)
Subject: Announcing gsftopk-1.11

This is to announce that version 1.11 of gsftopk is available.  gsftopk is
a utility that calls Ghostscript to render PostScript fonts, and then converts
them into pk format.  This allows you to view PostScript fonts in xdvi.

In addition to various bug fixes, this version:

        1.  optionally incorporates Karl Berry's kpathsea library for recursive
            path searching,
        2.  works better with gs 3.33:  it doesn't choke if you defined SAFER
            following the recent CERT advisory, and it does not suffer from
            segmentation faults caused by a bug in the garbage collection
            routines.

To upgrade, you can either:

   1.   get the whole package again:

            CTAN:tex-archive/fonts/utilities/gsftopk/gsftopk-1.11.tar.gz

   or

   2.   apply the following patch to version 1.10:

            CTAN:tex-archive/fonts/utilities/gsftopk/gsftopk-1.10-1.11.diff.gz

These files are also available in Unix compress format from math.berkeley.edu
in the directory pub/Software/TeX.

- --Paul Vojta, [email-masked]

------------------------------
About TeXhax...

Please send contributions to: [email-masked]

Subscription and unsubscription requests:
    send a one line mail message to [email-masked]
    containing either               subscribe texhax
    or                              unsubscribe texhax

To obtain the Frequently Asked Questions (FAQ) lists for TeX, send a
message with no subject to [email-masked], consisting of
SENDME FAQ

For information on the TeX Users Group, please send a message to
[email-masked], or write TeX Users Group, 1850 Union Street, #1637
San Francisco CA 94123  (phone: 1 415 982 8449, fax:   1 415 982 8559)

Backnumbers of all the digests are stored in the Comprehensive TeX
Archive Network (CTAN) and can be retrieved on the Internet by
anonymous ftp.  The hosts comprising CTAN include
    ftp.dante.de (129.69.1.12)   -- Germany
    ftp.shsu.edu (192.92.115.10) -- USA
    ftp.tex.ac.uk (128.232.1.87) -- UK
TeXhax Digest issues are filed below /tex-archive/digests/texhax/
Keyword-In-Context Indexes are filed in /tex-archive/digests/indexes/

A Hypermail version of TeXhax is also available on the World-Wide Web at URL
http://www.tex.ac.uk/tex-archive/digests/hyper/

Please use your nearest server, to keep network load down.
The file /tex-archive/CTAN.sites on each of these hosts gives a
list of other sites which maintain full or partial mirrors of the CTAN.
Alternatively, finger [email-masked] for full details.

\bye

End of TeXhax Digest [Volume 95 Issue 14]
*****************************************